Subject: bug#73407: 31.0.50; Add diff-discard-hunk

From: Dmitry Gutov <[email-masked]>
Date: Tue, 24 Sep 2024 01:52:13 +0300

Hi!

On 21/09/2024 13:19, Sean Whitton wrote:
> X-debbugs-cc: [email-masked], [email-masked]
> 
> These patches add a new command, diff-discard-hunk, inspired by some
> functionality from Magit.  It nicely complements a workflow based around
> committing with C-x v v from C-x v D.  I have been using it every day
> for a year or so, and I think others will find it useful, too.

I'd like to clarify one thing first: for 'C-x v v' to work correctly in 
a diff buffer (such as one produced by 'C-x v D') you don't have to 
synchronize any changes in that buffer back to disk before making the 
commit. In fact, we went to some effort to make this a non-requirement.

So when you just want to edit the patch before the commit, you can do so 
already, for example using 'M-k' (diff-hunk-kill) - or just 'k' if the 
buffer is read-only.

But of course if the idea is to really "discard" some changes, that works.